0

In an apt-get upgrade i got stuck in this situation where libc-bin constantly provides Segmentation fault (core dumped)

I tried several apt commands such as clean, dpkg-reconfigure and --reinstall but i had no luck.

this is the output of a sudo dpkg --configure -a

andrea@andrea-pc: ~ $ sudo dpkg --configure -a
Setting up libc-bin (2.23-0ubuntu7) ...
Segmentation fault (core dumped)
/sbin/ldconfig.real: Can't stat /lib/i686-linux-gnu: No such file or directory
/sbin/ldconfig.real: Can't stat /usr/lib/i686-linux-gnu: No such file or directory
/sbin/ldconfig.real: Path `/usr/lib/nvidia-375' given more than once
/sbin/ldconfig.real: Path `/usr/lib32/nvidia-375' given more than once
/sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once
/sbin/ldconfig.real: Path `/usr/lib/x86_64-linux-gnu' given more than once
/usr/lib/x86_64-linux-gnu/libfakeroot:
    libfakeroot-0.so -> libfakeroot-tcp.so
/lib/i386-linux-gnu:
    libSegFault.so -> libSegFault.so
    libgcc_s.so.1 -> libgcc_s.so.1
    librt.so.1 -> librt-2.23.so
    libdl.so.2 -> libdl-2.23.so
    libssl.so.1.0.0 -> libssl.so.1.0.0
    libz.so.1 -> libz.so.1.2.8
/sbin/ldconfig.real: /lib/i386-linux-gnu/ld-2.23.so is the dynamic linker, ignoring

    ld-linux.so.2 -> ld-2.23.so
    libtinfo.so.5 -> libtinfo.so.5.9
    libnsl.so.1 -> libnsl-2.23.so
    libjson-c.so.2 -> libjson-c.so.2.0.0
    libkeyutils.so.1 -> libkeyutils.so.1.5
    libcrypt.so.1 -> libcrypt-2.23.so
    libgcrypt.so.20 -> libgcrypt.so.20.0.5
    libudev.so.1 -> libudev.so.1.6.4
    libresolv.so.2 -> libresolv-2.23.so
    libnss_files.so.2 -> libnss_files-2.23.so
    libpcre.so.3 -> libpcre.so.3.13.2
    libgpg-error.so.0 -> libgpg-error.so.0.17.0
    libwrap.so.0 -> libwrap.so.0.7.6
    libnss_nisplus.so.2 -> libnss_nisplus-2.23.so
    libnss_dns.so.2 -> libnss_dns-2.23.so
    libglib-2.0.so.0 -> libglib-2.0.so.0.4800.2
    libm.so.6 -> libm-2.23.so
    libuuid.so.1 -> libuuid.so.1.3.0
    liblzma.so.5 -> liblzma.so.5.0.0
    libusb-1.0.so.0 -> libusb-1.0.so.0.1.0
    libbsd.so.0 -> libbsd.so.0.8.2
    libmemusage.so -> libmemusage.so
    libnss_compat.so.2 -> libnss_compat-2.23.so
    libcrypto.so.1.0.0 -> libcrypto.so.1.0.0
    libBrokenLocale.so.1 -> libBrokenLocale-2.23.so
    libpng12.so.0 -> libpng12.so.0.54.0
    libc.so.6 -> libc-2.23.so
    libcom_err.so.2 -> libcom_err.so.2.1
    libutil.so.1 -> libutil-2.23.so
    libpthread.so.0 -> libpthread-2.23.so
    libnss_hesiod.so.2 -> libnss_hesiod-2.23.so
    libnss_nis.so.2 -> libnss_nis-2.23.so
    libselinux.so.1 -> libselinux.so.1
    libanl.so.1 -> libanl-2.23.so
    libcap.so.2 -> libcap.so.2.24
    libcidn.so.1 -> libcidn-2.23.so
    libpcprofile.so -> libpcprofile.so
    libthread_db.so.1 -> libthread_db-1.0.so
    libdbus-1.so.3 -> libdbus-1.so.3.14.6
    libexpat.so.1 -> libexpat.so.1.6.0
    libsystemd.so.0 -> libsystemd.so.0.14.0
    libncurses.so.5 -> libncurses.so.5.9
/usr/lib/i386-linux-gnu:
    libjbig.so.0 -> libjbig.so.0
    libgd.so.3 -> libgd.so.3.0.0
    libICE.so.6 -> libICE.so.6.3.0
    libglapi.so.0 -> libglapi.so.0.0.0
    libdrm_intel.so.1 -> libdrm_intel.so.1.0.0
    libtiff.so.5 -> libtiff.so.5.2.4
    libgstsdp-1.0.so.0 -> libgstsdp-1.0.so.0.803.0
    libvorbis.so.0 -> libvorbis.so.0.4.8
    libXdmcp.so.6 -> libXdmcp.so.6.0.0
    libxcb-present.so.0 -> libxcb-present.so.0.0.0
    libgpm.so.2 -> libgpm.so.2
    libffi.so.6 -> libffi.so.6.0.4
    libpango-1.0.so.0 -> libpango-1.0.so.0.3800.1
    libicui18n.so.55 -> libicui18n.so.55.1
    libgstapp-1.0.so.0 -> libgstapp-1.0.so.0.803.0
    libXcursor.so.1 -> libXcursor.so.1.0.2
    libXext.so.6 -> libXext.so.6.4.0
    libvorbisenc.so.2 -> libvorbisenc.so.2.0.11
    libLLVM-3.8.so.1 -> libLLVM-3.8.so.1
    libpulse.so.0 -> libpulse.so.0.19.0
    libXpm.so.4 -> libXpm.so.4.11.0
    libasyncns.so.0 -> libasyncns.so.0.3.1
    libXxf86vm.so.1 -> libXxf86vm.so.1.0.0
    liborc-0.4.so.0 -> liborc-0.4.so.0.25.0
    libgthread-2.0.so.0 -> libgthread-2.0.so.0.4800.2
    libcups.so.2 -> libcups.so.2
    libxcb.so.1 -> libxcb.so.1.1.0
    libQtOpenGL.so.4 -> libQtOpenGL.so.4.8.7
    libOpenCL.so.1 -> libOpenCL.so.1.0.0
    libXt.so.6 -> libXt.so.6.0.0
    libxshmfence.so.1 -> libxshmfence.so.1.0.0
    libfreetype.so.6 -> libfreetype.so.6.12.1
    liborc-test-0.4.so.0 -> liborc-test-0.4.so.0.25.0
    libdrm.so.2 -> libdrm.so.2.4.0
    libxcb-sync.so.1 -> libxcb-sync.so.1.0.0
    libtxc_dxtn_s2tc.so.0 -> libtxc_dxtn_s2tc.so.0.0.0
    libgstallocators-1.0.so.0 -> libgstallocators-1.0.so.0.803.0
    libaudio.so.2 -> libaudio.so.2.4
    libxslt.so.1 -> libxslt.so.1.1.28
    libgstnet-1.0.so.0 -> libgstnet-1.0.so.0.803.0
    libkrb5.so.26 -> libkrb5.so.26.0.0
    libQtWebKit.so.4 -> libQtWebKit.so.4.10.2
    libgdk_pixbuf_xlib-2.0.so.0 -> libgdk_pixbuf_xlib-2.0.so.0.3200.2
    libxcb-glx.so.0 -> libxcb-glx.so.0.0.0
    libroken.so.18 -> libroken.so.18.1.0
    libdrm_amdgpu.so.1 -> libdrm_amdgpu.so.1.0.0
    libxml2.so.2 -> libxml2.so.2.9.3
    libp11-kit.so.0 -> libp11-kit.so.0.1.0
    libsamplerate.so.0 -> libsamplerate.so.0.1.8
    libXfixes.so.3 -> libXfixes.so.3.1.0
    libstdc++.so.6 -> libstdc++.so.6.0.21
    libidn.so.11 -> libidn.so.11.6.15
    libcuda.so.1 -> libcuda.so.375.39
    libgif.so.7 -> libgif.so.7.0.0
    libicule.so.55 -> libicule.so.55.1
    libmenu.so.5 -> libmenu.so.5.9
    libxcb-dri2.so.0 -> libxcb-dri2.so.0.0.0
    libgmp.so.10 -> libgmp.so.10.3.0
    libdb-5.3.so -> libdb-5.3.so
    libjpeg.so.8 -> libjpeg.so.8.0.2
    libQtXmlPatterns.so.4 -> libQtXmlPatterns.so.4.8.7
    libelf.so.1 -> libelf-0.165.so
    libXi.so.6 -> libXi.so.6.1.0
    libvisual-0.4.so.0 -> libvisual-0.4.so.0.0.0
    libkrb5support.so.0 -> libkrb5support.so.0.1
    libFLAC.so.8 -> libFLAC.so.8.3.0
    libxcb-dri3.so.0 -> libxcb-dri3.so.0.0.0
    libform.so.5 -> libform.so.5.9
    liblber-2.4.so.2 -> liblber-2.4.so.2.10.5
    libharfbuzz.so.0 -> libharfbuzz.so.0.10000.1
    libavahi-client.so.3 -> libavahi-client.so.3.2.9
    libQtCore.so.4 -> libQtCore.so.4.8.7
    libgio-2.0.so.0 -> libgio-2.0.so.0.4800.2
    libgstaudio-1.0.so.0 -> libgstaudio-1.0.so.0.803.0
    libwine.so.1 -> libwine.so.1.0
    libgmodule-2.0.so.0 -> libgmodule-2.0.so.0.4800.2
    libgssapi.so.3 -> libgssapi.so.3.0.0
    libiculx.so.55 -> libiculx.so.55.1
    libXv.so.1 -> libXv.so.1.0.0
    libpangocairo-1.0.so.0 -> libpangocairo-1.0.so.0.3800.1
    libgdk-x11-2.0.so.0 -> libgdk-x11-2.0.so.0.2400.30
    libpixman-1.so.0 -> libpixman-1.so.0.33.6
    libXtst.so.6 -> libXtst.so.6.1.0
    libgdk_pixbuf-2.0.so.0 -> libgdk_pixbuf-2.0.so.0.3200.2
    libthai.so.0 -> libthai.so.0.2.4
    libQtScript.so.4 -> libQtScript.so.4.8.7
    libcdda_paranoia.so.0 -> libcdda_paranoia.so.0.10.2
    libsasl2.so.2 -> libsasl2.so.2.0.25
    libX11.so.6 -> libX11.so.6.3.0
    libv4l2.so.0 -> libv4l2.so.0.0.0
    libicuio.so.55 -> libicuio.so.55.1
    libgstreamer-1.0.so.0 -> libgstreamer-1.0.so.0.803.0
    libpciaccess.so.0 -> libpciaccess.so.0.11.1
    libtasn1.so.6 -> libtasn1.so.6.5.1
    libasound.so.2 -> libasound.so.2.0.0
    libexif.so.12 -> libexif.so.12.3.3
    libgstrtp-1.0.so.0 -> libgstrtp-1.0.so.0.803.0
    libjacknet.so.0 -> libjacknet.so.0.1.0
    libtic.so.5 -> libtic.so.5.9
    libgsttag-1.0.so.0 -> libgsttag-1.0.so.0.803.0
    libXinerama.so.1 -> libXinerama.so.1.0.0
    libicuuc.so.55 -> libicuuc.so.55.1
    libXss.so.1 -> libXss.so.1.0.0
    libdatrie.so.1 -> libdatrie.so.1.3.3
    libasn1.so.8 -> libasn1.so.8.0.0
    libgstrtsp-1.0.so.0 -> libgstrtsp-1.0.so.0.803.0
    liblcms2.so.2 -> liblcms2.so.2.0.6
    libgssapi_krb5.so.2 -> libgssapi_krb5.so.2.2
    libkrb5.so.3 -> libkrb5.so.3.3
    libcairo.so.2 -> libcairo.so.2.11400.6
    libgstbase-1.0.so.0 -> libgstbase-1.0.so.0.803.0
    libSM.so.6 -> libSM.so.6.0.1
    libXcomposite.so.1 -> libXcomposite.so.1.0.0
    libQtDeclarative.so.4 -> libQtDeclarative.so.4.8.7
    libmng.so.2 -> libmng.so.2.0.2
    libXrender.so.1 -> libXrender.so.1.3.0
    libieee1284.so.3 -> libieee1284.so.3.2.2
    libsqlite3.so.0 -> libsqlite3.so.0.8.6
    libcapi20.so.3 -> libcapi20.so.3.0.6
    libjpeg.so.62 -> libjpeg.so.62.0.0
    libfontconfig.so.1 -> libfontconfig.so.1.9.0
    libQtCLucene.so.4 -> libQtCLucene.so.4.8.7
    libmysqlclient.so.20 -> libmysqlclient.so.20.3.4
    libXdamage.so.1 -> libXdamage.so.1.1.0
    libheimntlm.so.0 -> libheimntlm.so.0.1.0
    libltdl.so.7 -> libltdl.so.7.3.1
    libpanel.so.5 -> libpanel.so.5.9
    libopus.so.0 -> libopus.so.0.5.2
    libQtDBus.so.4 -> libQtDBus.so.4.8.7
    libgobject-2.0.so.0 -> libgobject-2.0.so.0.4800.2
    libgstvideo-1.0.so.0 -> libgstvideo-1.0.so.0.803.0
    libspeexdsp.so.1 -> libspeexdsp.so.1.5.0
    libatk-1.0.so.0 -> libatk-1.0.so.0.21809.1
    libX11-xcb.so.1 -> libX11-xcb.so.1.0.0
    libsane.so.1 -> libsane.so.1.0.25
    libQtNetwork.so.4 -> libQtNetwork.so.4.8.7
    libogg.so.0 -> libogg.so.0.8.2
    libtheora.so.0 -> libtheora.so.0.3.10
    libexpatw.so.1 -> libexpatw.so.1.6.0
    libxcb-render.so.0 -> libxcb-render.so.0.0.0
    libsndfile.so.1 -> libsndfile.so.1.0.25
    libnettle.so.6 -> libnettle.so.6.2
    libv4lconvert.so.0 -> libv4lconvert.so.0.0.0
    libwind.so.0 -> libwind.so.0.0.0
    libk5crypto.so.3 -> libk5crypto.so.3.1
    libgstcheck-1.0.so.0 -> libgstcheck-1.0.so.0.803.0
    libpangoft2-1.0.so.0 -> libpangoft2-1.0.so.0.3800.1
    libheimbase.so.1 -> libheimbase.so.1.0.0
    libgstfft-1.0.so.0 -> libgstfft-1.0.so.0.803.0
    libhcrypto.so.4 -> libhcrypto.so.4.1.0
    libldap_r-2.4.so.2 -> libldap_r-2.4.so.2.10.5
    libdrm_nouveau.so.2 -> libdrm_nouveau.so.2.0.0
    libexslt.so.0 -> libexslt.so.0.8.17
    libgstriff-1.0.so.0 -> libgstriff-1.0.so.0.803.0
    libvpx.so.3 -> libvpx.so.3.0.0
    libicudata.so.55 -> libicudata.so.55.1
    libtheoraenc.so.1 -> libtheoraenc.so.1.1.2
    libicutest.so.55 -> libicutest.so.55.1
    libgphoto2_port.so.12 -> libgphoto2_port.so.12.0.0
    libQtGui.so.4 -> libQtGui.so.4.8.7
    libpcreposix.so.3 -> libpcreposix.so.3.13.2
    libXrandr.so.2 -> libXrandr.so.2.2.0
    libgstcontroller-1.0.so.0 -> libgstcontroller-1.0.so.0.803.0
    libhogweed.so.4 -> libhogweed.so.4.2
    libOSMesa.so.8 -> libOSMesa.so.8.0.0
    libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.2400.30
    libedit.so.2 -> libedit.so.2.0.53
    libdrm_radeon.so.1 -> libdrm_radeon.so.1.0.1
    libjack.so.0 -> libjack.so.0.1.0
    libavahi-common.so.3 -> libavahi-common.so.3.5.3
    libgnutls.so.30 -> libgnutls.so.30.6.2
    libgraphite2.so.3 -> libgraphite2.so.3.0.1
    libGLU.so.1 -> libGLU.so.1.3.1
    libtheoradec.so.1 -> libtheoradec.so.1.1.4
    libxcb-shm.so.0 -> libxcb-shm.so.0.0.0
    libcdda_interface.so.0 -> libcdda_interface.so.0.10.2
    libXau.so.6 -> libXau.so.6.0.0
    libv4l1.so.0 -> libv4l1.so.0.0.0
    libnvidia-opencl.so.1 -> libnvidia-opencl.so.375.39
    libQtXml.so.4 -> libQtXml.so.4.8.7
    libicutu.so.55 -> libicutu.so.55.1
    libQtSql.so.4 -> libQtSql.so.4.8.7
    libgstpbutils-1.0.so.0 -> libgstpbutils-1.0.so.0.803.0
    libhx509.so.5 -> libhx509.so.5.0.0
    libgphoto2.so.6 -> libgphoto2.so.6.0.0
    libopenal.so.1 -> libopenal.so.1.16.0
    libpulse-simple.so.0 -> libpulse-simple.so.0.1.0
    libmpg123.so.0 -> libmpg123.so.0.41.2
/usr/local/lib:
/lib/x86_64-linux-gnu:
    libSegFault.so -> libSegFault.so
    libsepol.so.1 -> libsepol.so.1
    libgcc_s.so.1 -> libgcc_s.so.1
    libdevmapper.so.1.02.1 -> libdevmapper.so.1.02.1
    libnss_myhostname.so.2 -> libnss_myhostname.so.2
    librt.so.1 -> librt-2.23.so
    libdl.so.2 -> libdl-2.23.so
    libnss_mdns.so.2 -> libnss_mdns.so.2
    libblkid.so.1 -> libblkid.so.1.1.0
    libip6tc.so.0 -> libip6tc.so.0.1.0
    libnss_mdns_minimal.so.2 -> libnss_mdns_minimal.so.2
    libiptc.so.0 -> libiptc.so.0.0.0
    libply-splash-graphics.so.4 -> libply-splash-graphics.so.4.0.0
    libssl.so.1.0.0 -> libssl.so.1.0.0
    libx86.so.1 -> libx86.so.1
    libz.so.1 -> libz.so.1.2.8
    libnewt.so.0.52 -> libnewt.so.0.52.18
    libseccomp.so.2 -> libseccomp.so.2.3.1
    libpci.so.3 -> libpci.so.3.3.1
    libtinfo.so.5 -> libtinfo.so.5.9
    libnss_mdns4_minimal.so.2 -> libnss_mdns4_minimal.so.2
    libaudit.so.1 -> libaudit.so.1.0.0
    libply-boot-client.so.4 -> libply-boot-client.so.4.0.0
    libnsl.so.1 -> libnsl-2.23.so
/sbin/ldconfig.real: /lib/x86_64-linux-gnu/ld-2.23.so is the dynamic linker, ignoring

    ld-linux-x86-64.so.2 -> ld-2.23.so
    libjson-c.so.2 -> libjson-c.so.2.0.0
    libslang.so.2 -> libslang.so.2.3.0
    liblzo2.so.2 -> liblzo2.so.2.0.0
    libe2p.so.2 -> libe2p.so.2.3
    libisc-export.so.160 -> libisc-export.so.160.0.0
    libnss_mdns6.so.2 -> libnss_mdns6.so.2
    libkmod.so.2 -> libkmod.so.2.3.0
    libkeyutils.so.1 -> libkeyutils.so.1.5
    libpam.so.0 -> libpam.so.0.83.1
    libcrypt.so.1 -> libcrypt-2.23.so
    libpamc.so.0 -> libpamc.so.0.82.1
    libgcrypt.so.20 -> libgcrypt.so.20.0.5
    libsmartcols.so.1 -> libsmartcols.so.1.1.0
    libudev.so.1 -> libudev.so.1.6.4
    libntfs-3g.so.861 -> libntfs-3g.so.861.0.0
    libiw.so.30 -> libiw.so.30
    libresolv.so.2 -> libresolv-2.23.so
    libnss_files.so.2 -> libnss_files-2.23.so
    libfuse.so.2 -> libfuse.so.2.9.4
    libatm.so.1 -> libatm.so.1.0.0
    libnih.so.1 -> libnih.so.1.0.0
    libnl-genl-3.so.200 -> libnl-genl-3.so.200.22.0
    libapparmor.so.1 -> libapparmor.so.1.4.0
    libpcre.so.3 -> libpcre.so.3.13.2
    libip4tc.so.0 -> libip4tc.so.0.1.0
    libgpg-error.so.0 -> libgpg-error.so.0.17.0
    libwrap.so.0 -> libwrap.so.0.7.6
    libnss_nisplus.so.2 -> libnss_nisplus-2.23.so
    libaio.so.1 -> libaio.so.1.0.1
    libnss_dns.so.2 -> libnss_dns-2.23.so
    libglib-2.0.so.0 -> libglib-2.0.so.0.4800.2
    libdns-export.so.162 -> libdns-export.so.162.1.3
    libm.so.6 -> libm-2.23.so
    libcryptsetup.so.4 -> libcryptsetup.so.4.6.0
    libext2fs.so.2 -> libext2fs.so.2.4
    libpopt.so.0 -> libpopt.so.0.0.0
    libxtables.so.11 -> libxtables.so.11.0.0
    libuuid.so.1 -> libuuid.so.1.3.0
    libfdisk.so.1 -> libfdisk.so.1.1.0
    liblzma.so.5 -> liblzma.so.5.0.0
    libusb-1.0.so.0 -> libusb-1.0.so.0.1.0
    libpam_misc.so.0 -> libpam_misc.so.0.82.0
    libply.so.4 -> libply.so.4.0.0
    libbz2.so.1.0 -> libbz2.so.1.0.4
    libbsd.so.0 -> libbsd.so.0.8.2
    libnih-dbus.so.1 -> libnih-dbus.so.1.0.0
    libmemusage.so -> libmemusage.so
    libnss_compat.so.2 -> libnss_compat-2.23.so
    libnl-3.so.200 -> libnl-3.so.200.22.0
    libmount.so.1 -> libmount.so.1.1.0
    libbrlapi.so.0.6 -> libbrlapi.so.0.6.4
    libcrypto.so.1.0.0 -> libcrypto.so.1.0.0
    libpcsclite.so.1 -> libpcsclite.so.1.0.0
    libply-splash-core.so.4 -> libply-splash-core.so.4.0.0
    libreadline.so.6 -> libreadline.so.6.3
    libss.so.2 -> libss.so.2.0
    libBrokenLocale.so.1 -> libBrokenLocale-2.23.so
    libpng12.so.0 -> libpng12.so.0.54.0
    libprocps.so.4 -> libprocps.so.4.0.0
    libattr.so.1 -> libattr.so.1.1.0
    libmnl.so.0 -> libmnl.so.0.1.0
    libnss_mdns6_minimal.so.2 -> libnss_mdns6_minimal.so.2
    libc.so.6 -> libc-2.23.so
    libcom_err.so.2 -> libcom_err.so.2.1
    libutil.so.1 -> libutil-2.23.so
    libhistory.so.6 -> libhistory.so.6.3
    libpthread.so.0 -> libpthread-2.23.so
    libnss_hesiod.so.2 -> libnss_hesiod-2.23.so
    libparted.so.2 -> libparted.so.2.0.1
    libacl.so.1 -> libacl.so.1.1.0
    libatasmart.so.4 -> libatasmart.so.4.0.5
    libnss_nis.so.2 -> libnss_nis-2.23.so
    libselinux.so.1 -> libselinux.so.1
    libanl.so.1 -> libanl-2.23.so
    libusb-0.1.so.4 -> libusb-0.1.so.4.4.4
    libcap.so.2 -> libcap.so.2.24
    libncursesw.so.5 -> libncursesw.so.5.9
    libcidn.so.1 -> libcidn-2.23.so
    libpcprofile.so -> libpcprofile.so
    libthread_db.so.1 -> libthread_db-1.0.so
    libdbus-1.so.3 -> libdbus-1.so.3.14.6
    libnss_mdns4.so.2 -> libnss_mdns4.so.2
    libexpat.so.1 -> libexpat.so.1.6.0
    libsystemd.so.0 -> libsystemd.so.0.14.0
    libncurses.so.5 -> libncurses.so.5.9
    libmvec.so.1 -> libmvec-2.23.so
    libulockmgr.so.1 -> libulockmgr.so.1.0.1
/usr/lib/x86_64-linux-gnu:
Segmentation fault (core dumped)
dpkg: error processing package libc-bin (--configure):
 subprocess installed post-installation script returned error exit status 139
Errors were encountered while processing:
 libc-bin

3 Answers 3

2

After debugging with strace I found out that the problem was libtic.so.5.9

I then

sudo mv /usr/lib/x86_64-linux-gnu/libtic.so.5.9 /root
sudo apt-get upgrade
sudo apt-get install libtinfo5 --reinstall

The latter is to restore libtic :)

Not sure why but now it works.

1
2

I ran the following to find which library that made ldconfig crash:

sudo strace ldconfig

Then I moved it to /root and reran ldconfig. When ldconfig no longer crashed, the upgrade also worked.

1
  • 1
    Welcome to Ask Ubuntu! :-) It's a bit unclear what you're trying to do here: is this a new question? Then just click Ask a new question. :-) If this is a comment to let others know it works, there's no need to do that: once you get a bit more reputation you'll be allowed to upvote questions. :-) If this is something else entirely please edit the answer and elaborate a bit otherwise the system will delete this answer automatically for being unclear.
    – Fabby
    Jul 2, 2019 at 20:01
2

I just got the same problem while updating a ubuntu 16.04 and fixed it with a variant of the suggested soliuton here, which I want to share:

Removing and reinstalling libtic didn't work for me and using the suggested strace approach, I found the last file opened before core dump was /var/cache/ldconfig/aux-cache. After removing this file, ldconfig was able to run again.

Final lines of strace ldconfig --verbose:

open("/var/cache/ldconfig/aux-cache", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0600, st_size=65589, ...}) = 0
mmap(NULL, 65589, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fdd26708000
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
gettid()                                = 6135
tgkill(6135, 6135, SIGABRT)             = 0
--- SIGABRT {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=6135, si_uid=0} ---
+++ killed by SIGABRT (core dumped) +++

First occurance of problem while apt did an update:

Preparing to unpack .../linux-libc-dev_4.4.0-171.200_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.4.0-171.200) over (4.4.0-170.199) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu21.23) ...
Processing triggers for ureadahead (0.100.0-19.1) ...
ureadahead will be reprofiled on next reboot
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Aborted (core dumped)
/sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once
/sbin/ldconfig.real: Path `/usr/lib/x86_64-linux-gnu' given more than once
Aborted (core dumped)
dpkg: error processing package libc-bin (--unpack):
 subprocess installed post-installation script returned error exit status 134

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.